#!/bin/bash
#SBATCH -p cpu
#SBATCH -t 1-00:00:00

proc=$2;
echo $proc


case $1 in

    mpi_rk)
    mpirun -np $proc ./ga_rk_mpi.out input_param.dat
    ;;
	
	mpi_gl)
    mpirun -np $proc ./ga_gl_mpi.out input_param.dat
    ;;

    openmp_rk)
    #SBATCH -c $proc
    export OMP_NUM_THREADS=$proc  
    export OMP_PLACES=cores
    ./ga_rk_openmp.out input_param.dat
    ;;
	
	openmp_gl)
    #SBATCH -c $proc
    export OMP_NUM_THREADS=$proc  
    export OMP_PLACES=cores
    ./ga_gl_openmp.out input_param.dat
    ;;

    *)
    echo "Wrong input parameters"
    ;;
esac
exit
